## r-cran-shiny 1.5.0+dfsg

=== DESCRIPTION ===
Package: shiny
Type: Package
Title: Web Application Framework for R
Version: 1.5.0
Authors@R: c(
    person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com"),
    person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
    person("JJ", "Allaire", role = "aut", email = "jj@rstudio.com"),
    person("Yihui", "Xie", role = "aut", email = "yihui@rstudio.com"),
    person("Jonathan", "McPherson", role = "aut", email = "jonathan@rstudio.com"),
    person(family = "RStudio", role = "cph"),
    person(family = "jQuery Foundation", role = "cph",
    comment = "jQuery library and jQuery UI library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
    comment = "jQuery library; authors listed in inst/www/shared/jquery-AUTHORS.txt"),
    person(family = "jQuery UI contributors", role = c("ctb", "cph"),
    comment = "jQuery UI library; authors listed in inst/www/shared/jqueryui/AUTHORS.txt"),
    person("Mark", "Otto", role = "ctb",
    comment = "Bootstrap library"),
    person("Jacob", "Thornton", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Bootstrap contributors", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Twitter, Inc", role = "cph",
    comment = "Bootstrap library"),
    person("Alexander", "Farkas", role = c("ctb", "cph"),
    comment = "html5shiv library"),
    person("Scott", "Jehl", role = c("ctb", "cph"),
    comment = "Respond.js library"),
    person("Stefan", "Petre", role = c("ctb", "cph"),
    comment = "Bootstrap-datepicker library"),
    person("Andrew", "Rowls", role = c("ctb", "cph"),
    comment = "Bootstrap-datepicker library"),
    person("Dave", "Gandy", role = c("ctb", "cph"),
    comment = "Font-Awesome font"),
    person("Brian", "Reavis", role = c("ctb", "cph"),
    comment = "selectize.js library"),
    person("Kristopher Michael", "Kowal", role = c("ctb", "cph"),
    comment = "es5-shim library"),
    person(family = "es5-shim contributors", role = c("ctb", "cph"),
    comment = "es5-shim library"),
    person("Denis", "Ineshin", role = c("ctb", "cph"),
    comment = "ion.rangeSlider library"),
    person("Sami", "Samhuri", role = c("ctb", "cph"),
    comment = "Javascript strftime library"),
    person(family = "SpryMedia Limited", role = c("ctb", "cph"),
    comment = "DataTables library"),
    person("John", "Fraser", role = c("ctb", "cph"),
    comment = "showdown.js library"),
    person("John", "Gruber", role = c("ctb", "cph"),
    comment = "showdown.js library"),
    person("Ivan", "Sagalaev", role = c("ctb", "cph"),
    comment = "highlight.js library"),
    person(family = "R Core Team", role = c("ctb", "cph"),
    comment = "tar implementation from R")
    )
Description: Makes it incredibly easy to build interactive web
    applications with R. Automatic "reactive" binding between inputs and
    outputs and extensive prebuilt widgets make it possible to build
    beautiful, responsive, and powerful applications with minimal effort.
License: GPL-3 | file LICENSE
Depends: R (>= 3.0.2), methods
Imports: utils, grDevices, httpuv (>= 1.5.2), mime (>= 0.3), jsonlite
        (>= 0.9.16), xtable, digest, htmltools (>= 0.4.0.9003), R6 (>=
        2.0), sourcetools, later (>= 1.0.0), promises (>= 1.1.0),
        tools, crayon, rlang (>= 0.4.0), fastmap (>= 1.0.0), withr,
        commonmark (>= 1.7), glue (>= 1.3.2)
Suggests: datasets, Cairo (>= 1.5-5), testthat (>= 2.1.1), knitr (>=
        1.6), markdown, rmarkdown, ggplot2, reactlog (>= 1.0.0),
        magrittr, shinytest, yaml, future, dygraphs, ragg, showtext
URL: http://shiny.rstudio.com
BugReports: https://github.com/rstudio/shiny/issues
Collate: 'app.R' 'app_template.R' 'bookmark-state-local.R' 'stack.R'
        'bookmark-state.R' 'bootstrap-deprecated.R'
        'bootstrap-layout.R' 'globals.R' 'conditions.R' 'map.R'
        'utils.R' 'bootstrap.R' 'cache-context.R' 'cache-disk.R'
        'cache-memory.R' 'cache-utils.R' 'diagnose.R' 'fileupload.R'
        'font-awesome.R' 'graph.R' 'reactives.R' 'reactive-domains.R'
        'history.R' 'hooks.R' 'html-deps.R' 'htmltools.R'
        'image-interact-opts.R' 'image-interact.R' 'imageutils.R'
        'input-action.R' 'input-checkbox.R' 'input-checkboxgroup.R'
        'input-date.R' 'input-daterange.R' 'input-file.R'
        'input-numeric.R' 'input-password.R' 'input-radiobuttons.R'
        'input-select.R' 'input-slider.R' 'input-submit.R'
        'input-text.R' 'input-textarea.R' 'input-utils.R'
        'insert-tab.R' 'insert-ui.R' 'jqueryui.R' 'middleware-shiny.R'
        'middleware.R' 'timer.R' 'shiny.R' 'mock-session.R' 'modal.R'
        'modules.R' 'notifications.R' 'priorityqueue.R' 'progress.R'
        'react.R' 'reexports.R' 'render-cached-plot.R' 'render-plot.R'
        'render-table.R' 'run-url.R' 'serializers.R'
        'server-input-handlers.R' 'server.R' 'shiny-options.R'
        'shinyui.R' 'shinywrappers.R' 'showcase.R' 'snapshot.R' 'tar.R'
        'test-export.R' 'test-server.R' 'test.R' 'update-input.R'
RoxygenNote: 7.1.0.9000
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-06-19 17:22:05 UTC; winston
Author: Winston Chang [aut, cre],
  Joe Cheng [aut],
  JJ Allaire [aut],
  Yihui Xie [aut],
  Jonathan McPherson [aut],
  RStudio [cph],
  jQuery Foundation [cph] (jQuery library and jQuery UI library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/www/shared/jquery-AUTHORS.txt),
  jQuery UI contributors [ctb, cph] (jQuery UI library; authors listed in
    inst/www/shared/jqueryui/AUTHORS.txt),
  Mark Otto [ctb] (Bootstrap library),
  Jacob Thornton [ctb] (Bootstrap library),
  Bootstrap contributors [ctb] (Bootstrap library),
  Twitter, Inc [cph] (Bootstrap library),
  Alexander Farkas [ctb, cph] (html5shiv library),
  Scott Jehl [ctb, cph] (Respond.js library),
  Stefan Petre [ctb, cph] (Bootstrap-datepicker library),
  Andrew Rowls [ctb, cph] (Bootstrap-datepicker library),
  Dave Gandy [ctb, cph] (Font-Awesome font),
  Brian Reavis [ctb, cph] (selectize.js library),
  Kristopher Michael Kowal [ctb, cph] (es5-shim library),
  es5-shim contributors [ctb, cph] (es5-shim library),
  Denis Ineshin [ctb, cph] (ion.rangeSlider library),
  Sami Samhuri [ctb, cph] (Javascript strftime library),
  SpryMedia Limited [ctb, cph] (DataTables library),
  John Fraser [ctb, cph] (showdown.js library),
  John Gruber [ctb, cph] (showdown.js library),
  Ivan Sagalaev [ctb, cph] (highlight.js library),
  R Core Team [ctb, cph] (tar implementation from R)
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2020-06-23 13:30:03 UTC

=== debian/changelog ===
r-cran-shiny (1.5.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Fix location of fonts to fix broken symlinks
    (Closes: #985499, #985392)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Mar 2021 15:02:07 +0530

r-cran-shiny (1.5.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * d/copyright: Proper sequence of paragraphs
  * Test-Depends: r-cran-dygraphs

  [ Dylan Aïssi ]
  * Fix autopkgtest
  * Add missing packages in test-deps
  * Allow failure for reprotest

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 15:25:41 +0200

=== debian/control ===
Source: r-cran-shiny
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-crayon,
               r-cran-rlang (>= 0.4.0),
               r-cran-fastmap (>= 1.0.0),
               r-cran-withr,
               r-cran-commonmark (>= 1.7),
               r-cran-glue (>= 1.3.2),
               libjs-bootstrap,
               libjs-json,
               libjs-jquery-datatables,
               libjs-es5-shim,
               libjs-jquery,
               libjs-jquery-ui,
               libjs-highlight.js,
               libjs-twitter-bootstrap-datepicker,
               fonts-font-awesome,
               node-html5shiv,
               r-cran-rcpp,
               r-cran-httpuv (>= 1.3.5),
               r-cran-mime,
               r-cran-jsonlite,
               r-cran-xtable,
               r-cran-digest,
               r-cran-r6,
               r-cran-htmltools,
               r-cran-sourcetools,
               r-cran-later,
               r-cran-promises,
               closure-compiler,
               yui-compressor
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
Homepage: https://cran.r-project.org/package=shiny
Rules-Requires-Root: no

Package: r-cran-shiny
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-bootstrap,
         libjs-json,
         libjs-jquery-datatables,
         libjs-es5-shim,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-highlight.js,
         libjs-twitter-bootstrap-datepicker (>= 1.3.1+dfsg1-4),
         libjs-jquery-selectize.js,
         libjs-d3,
         libjs-normalize.css,
         fonts-font-awesome,
         node-html5shiv
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R web application framework
 Makes it incredibly easy to build interactive web applications with R.
 Automatic "reactive" binding between inputs and outputs and extensive
 pre-built widgets make it possible to build beautiful, responsive, and
 powerful applications with minimal effort.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name "LICENSE*" -delete
	rm -rf $(debRlib)/$(cranName)/www/shared/showdown/license.txt
	mkdir -p $(debRlib)/$(cranName)/www/shared/bootstrap/shim
	cp -a debian/missing-sources/respond/respond.min.js $(debRlib)/$(cranName)/www/shared/bootstrap/shim/
	mkdir -p $(debRlib)/$(cranName)/www/shared/strftime
	cp -a debian/missing-sources/strftime/strftime.min.js $(debRlib)/$(cranName)/www/shared/strftime
	# this fails: yui-compressor debian/missing-sources/babel-polyfill/babel-polyfill.js > $(debRlib)/$(cranName)/www/shared/babel-polyfill.min.js
	# see https://lists.debian.org/debian-mentors/2016/11/msg00102.html
	cp -a debian/missing-sources/babel-polyfill/babel-polyfill.min.js $(debRlib)/$(cranName)/www/shared/babel-polyfill.min.js
	# see debian/README.source
	mkdir -p $(debRlib)/$(cranName)/www/shared/selectize/js/
	cp -a debian/missing-sources/selectize-0.12.1/selectize.min.shiny.js $(debRlib)/$(cranName)/www/shared/selectize/js/selectize.min.js
	# For some very strange reason a symlink leads to unexpected results in shiny apps.
	# Thus a real copy of font-awesome.min.css from fonts-font-awesome package is created.
	mkdir -p $(debRlib)/$(cranName)/www/shared/font-awesome/css/
	cp -a /usr/share/fonts-font-awesome/css/font-awesome.min.css $(debRlib)/$(cranName)/www/shared/font-awesome/css/
	# datepicker is only non-minimized.  Do the minimisation here
	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/js
	closure-compiler  --charset 'utf-8' --js /usr/share/javascript/bootstrap/files/js/bootstrap-datepicker.js --js_output_file $(debRlib)/$(cranName)/www/shared/datepicker/js/bootstrap-datepicker.min.js
	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/css
	yui-compressor /usr/share/javascript/bootstrap/files/css/datepicker3.css > $(debRlib)/$(cranName)/www/shared/datepicker/css/bootstrap-datepicker3.min.css
	mkdir -p $(debRlib)/$(cranName)/www/shared/bootstrap/shim

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-ggplot2, r-cran-future, r-cran-dygraphs
Restrictions: allow-stderr

## r-cran-shiny 1.7.2+dfsg

=== debian/changelog ===
r-cran-shiny (1.7.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Build-Depends: r-cran-fontawesome

 -- Andreas Tille <tille@debian.org>  Sun, 31 Jul 2022 15:33:02 +0200

r-cran-shiny (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add B-D on r-cran-{bslib, ellipsis, lifecycle}
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 May 2022 18:12:49 +0530

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-fontawesome,
                r-cran-crayon,
-               r-cran-rlang (>= 0.4.0),
-               r-cran-fastmap (>= 1.0.0),
+               r-cran-rlang (>= 0.4.10),
+               r-cran-fastmap (>= 1.1.0),
                r-cran-withr,
-               r-cran-commonmark (>= 1.7),
+               r-cran-commonmark,
                r-cran-glue (>= 1.3.2),
+               r-cran-bslib,
+               r-cran-cachem,
+               r-cran-ellipsis,
+               r-cran-lifecycle,
                libjs-bootstrap,
                libjs-json,
                libjs-jquery-datatables,
@@ -24,10 +29,11 @@
                fonts-font-awesome,
                node-html5shiv,
                r-cran-rcpp,
-               r-cran-httpuv (>= 1.3.5),
+               r-cran-httpuv,
                r-cran-mime,
                r-cran-jsonlite,
                r-cran-xtable,
+               r-cran-fontawesome,
                r-cran-digest,
                r-cran-r6,
                r-cran-htmltools,
@@ -36,7 +42,7 @@
                r-cran-promises,
                closure-compiler,
                yui-compressor
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny
@@ -53,7 +59,7 @@
          libjs-jquery,
          libjs-jquery-ui,
          libjs-highlight.js,
-         libjs-twitter-bootstrap-datepicker (>= 1.3.1+dfsg1-4),
+         libjs-twitter-bootstrap-datepicker,
          libjs-jquery-selectize.js,
          libjs-d3,
          libjs-normalize.css,

## r-cran-shiny 1.7.4+dfsg

=== DESCRIPTION ===
Package: shiny
Type: Package
Title: Web Application Framework for R
Version: 1.7.4
Authors@R: c(
    person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com", comment = c(ORCID = "0000-0002-1576-2126")),
    person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
    person("JJ", "Allaire", role = "aut", email = "jj@rstudio.com"),
    person("Carson", "Sievert", role = "aut", email = "carson@rstudio.com", comment = c(ORCID = "0000-0002-4958-2844")),
    person("Barret", "Schloerke", role = "aut", email = "barret@rstudio.com", comment = c(ORCID = "0000-0001-9986-114X")),
    person("Yihui", "Xie", role = "aut", email = "yihui@rstudio.com"),
    person("Jeff", "Allen", role = "aut", email = "jeff@rstudio.com"),
    person("Jonathan", "McPherson", role = "aut", email = "jonathan@rstudio.com"),
    person("Alan", "Dipert", role = "aut"),
    person("Barbara", "Borges", role = "aut"),
    person(family = "RStudio", role = "cph"),
    person(family = "jQuery Foundation", role = "cph",
    comment = "jQuery library and jQuery UI library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"),
    comment = "jQuery library; authors listed in inst/www/shared/jquery-AUTHORS.txt"),
    person(family = "jQuery UI contributors", role = c("ctb", "cph"),
    comment = "jQuery UI library; authors listed in inst/www/shared/jqueryui/AUTHORS.txt"),
    person("Mark", "Otto", role = "ctb",
    comment = "Bootstrap library"),
    person("Jacob", "Thornton", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Bootstrap contributors", role = "ctb",
    comment = "Bootstrap library"),
    person(family = "Twitter, Inc", role = "cph",
    comment = "Bootstrap library"),
    person("Prem Nawaz", "Khan", role = "ctb",
    comment = "Bootstrap accessibility plugin"),
    person("Victor", "Tsaran", role = "ctb",
    comment = "Bootstrap accessibility plugin"),
    person("Dennis", "Lembree", role = "ctb",
    comment = "Bootstrap accessibility plugin"),
    person("Srinivasu", "Chakravarthula", role = "ctb",
    comment = "Bootstrap accessibility plugin"),
    person("Cathy", "O'Connor", role = "ctb",
    comment = "Bootstrap accessibility plugin"),
    person(family = "PayPal, Inc", role = "cph",
    comment = "Bootstrap accessibility plugin"),
    person("Stefan", "Petre", role = c("ctb", "cph"),
    comment = "Bootstrap-datepicker library"),
    person("Andrew", "Rowls", role = c("ctb", "cph"),
    comment = "Bootstrap-datepicker library"),
    person("Brian", "Reavis", role = c("ctb", "cph"),
    comment = "selectize.js library"),
    person("Salmen", "Bejaoui", role = c("ctb", "cph"),
    comment = "selectize-plugin-a11y library"),
    person("Denis", "Ineshin", role = c("ctb", "cph"),
    comment = "ion.rangeSlider library"),
    person("Sami", "Samhuri", role = c("ctb", "cph"),
    comment = "Javascript strftime library"),
    person(family = "SpryMedia Limited", role = c("ctb", "cph"),
    comment = "DataTables library"),
    person("John", "Fraser", role = c("ctb", "cph"),
    comment = "showdown.js library"),
    person("John", "Gruber", role = c("ctb", "cph"),
    comment = "showdown.js library"),
    person("Ivan", "Sagalaev", role = c("ctb", "cph"),
    comment = "highlight.js library"),
    person(family = "R Core Team", role = c("ctb", "cph"),
    comment = "tar implementation from R")
    )
Description: Makes it incredibly easy to build interactive web
    applications with R. Automatic "reactive" binding between inputs and
    outputs and extensive prebuilt widgets make it possible to build
    beautiful, responsive, and powerful applications with minimal effort.
License: GPL-3 | file LICENSE
Depends: R (>= 3.0.2), methods
Imports: utils, grDevices, httpuv (>= 1.5.2), mime (>= 0.3), jsonlite
        (>= 0.9.16), xtable, fontawesome (>= 0.4.0), htmltools (>=
        0.5.4), R6 (>= 2.0), sourcetools, later (>= 1.0.0), promises
        (>= 1.1.0), tools, crayon, rlang (>= 0.4.10), fastmap (>=
        1.1.0), withr, commonmark (>= 1.7), glue (>= 1.3.2), bslib (>=
        0.3.0), cachem, ellipsis, lifecycle (>= 0.2.0)
Suggests: datasets, Cairo (>= 1.5-5), testthat (>= 3.0.0), knitr (>=
        1.6), markdown, rmarkdown, ggplot2, reactlog (>= 1.0.0),
        magrittr, yaml, future, dygraphs, ragg, showtext, sass
URL: https://shiny.rstudio.com/
BugReports: https://github.com/rstudio/shiny/issues
Collate: 'globals.R' 'app-state.R' 'app_template.R' 'bind-cache.R'
        'bind-event.R' 'bookmark-state-local.R' 'bookmark-state.R'
        'bootstrap-deprecated.R' 'bootstrap-layout.R' 'conditions.R'
        'map.R' 'utils.R' 'bootstrap.R' 'cache-utils.R' 'deprecated.R'
        'devmode.R' 'diagnose.R' 'fileupload.R' 'graph.R' 'reactives.R'
        'reactive-domains.R' 'history.R' 'hooks.R' 'html-deps.R'
        'image-interact-opts.R' 'image-interact.R' 'imageutils.R'
        'input-action.R' 'input-checkbox.R' 'input-checkboxgroup.R'
        'input-date.R' 'input-daterange.R' 'input-file.R'
        'input-numeric.R' 'input-password.R' 'input-radiobuttons.R'
        'input-select.R' 'input-slider.R' 'input-submit.R'
        'input-text.R' 'input-textarea.R' 'input-utils.R'
        'insert-tab.R' 'insert-ui.R' 'jqueryui.R' 'knitr.R'
        'middleware-shiny.R' 'middleware.R' 'timer.R' 'shiny.R'
        'mock-session.R' 'modal.R' 'modules.R' 'notifications.R'
        'priorityqueue.R' 'progress.R' 'react.R' 'reexports.R'
        'render-cached-plot.R' 'render-plot.R' 'render-table.R'
        'run-url.R' 'runapp.R' 'serializers.R'
        'server-input-handlers.R' 'server-resource-paths.R' 'server.R'
        'shiny-options.R' 'shiny-package.R' 'shinyapp.R' 'shinyui.R'
        'shinywrappers.R' 'showcase.R' 'snapshot.R' 'staticimports.R'
        'tar.R' 'test-export.R' 'test-server.R' 'test.R'
        'update-input.R' 'utils-lang.R' 'version_bs_date_picker.R'
        'version_ion_range_slider.R' 'version_jquery.R'
        'version_jqueryui.R' 'version_selectize.R' 'version_strftime.R'
        'viewer.R'
RoxygenNote: 7.2.2
Encoding: UTF-8
RdMacros: lifecycle
Config/testthat/edition: 3
Config/Needs/check: shinytest2
NeedsCompilation: no
Packaged: 2022-12-13 20:45:56 UTC; winston
Author: Winston Chang [aut, cre] (<https://orcid.org/0000-0002-1576-2126>),
  Joe Cheng [aut],
  JJ Allaire [aut],
  Carson Sievert [aut] (<https://orcid.org/0000-0002-4958-2844>),
  Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
  Yihui Xie [aut],
  Jeff Allen [aut],
  Jonathan McPherson [aut],
  Alan Dipert [aut],
  Barbara Borges [aut],
  RStudio [cph],
  jQuery Foundation [cph] (jQuery library and jQuery UI library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/www/shared/jquery-AUTHORS.txt),
  jQuery UI contributors [ctb, cph] (jQuery UI library; authors listed in
    inst/www/shared/jqueryui/AUTHORS.txt),
  Mark Otto [ctb] (Bootstrap library),
  Jacob Thornton [ctb] (Bootstrap library),
  Bootstrap contributors [ctb] (Bootstrap library),
  Twitter, Inc [cph] (Bootstrap library),
  Prem Nawaz Khan [ctb] (Bootstrap accessibility plugin),
  Victor Tsaran [ctb] (Bootstrap accessibility plugin),
  Dennis Lembree [ctb] (Bootstrap accessibility plugin),
  Srinivasu Chakravarthula [ctb] (Bootstrap accessibility plugin),
  Cathy O'Connor [ctb] (Bootstrap accessibility plugin),
  PayPal, Inc [cph] (Bootstrap accessibility plugin),
  Stefan Petre [ctb, cph] (Bootstrap-datepicker library),
  Andrew Rowls [ctb, cph] (Bootstrap-datepicker library),
  Brian Reavis [ctb, cph] (selectize.js library),
  Salmen Bejaoui [ctb, cph] (selectize-plugin-a11y library),
  Denis Ineshin [ctb, cph] (ion.rangeSlider library),
  Sami Samhuri [ctb, cph] (Javascript strftime library),
  SpryMedia Limited [ctb, cph] (DataTables library),
  John Fraser [ctb, cph] (showdown.js library),
  John Gruber [ctb, cph] (showdown.js library),
  Ivan Sagalaev [ctb, cph] (highlight.js library),
  R Core Team [ctb, cph] (tar implementation from R)
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2022-12-15 13:10:02 UTC

=== debian/changelog ===
r-cran-shiny (1.7.4+dfsg-2+deb12u1) bookworm; urgency=medium

  * Upload to testing-proposed-updates "bookworm" due to the fact that
    there was an accidental upload of a new version of r-base to unstable
  * Fix link for normalize.css
    Closes: #1035428

 -- Andreas Tille <tille@debian.org>  Wed, 17 May 2023 07:56:25 +0200

r-cran-shiny (1.7.4+dfsg-2) unstable; urgency=medium

  * closure-compiler fails - simply symlinking uncompressed JS
    Closes: #1031456

 -- Andreas Tille <tille@debian.org>  Tue, 21 Feb 2023 20:34:31 +0100

r-cran-shiny (1.7.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:10:16 +0100

r-cran-shiny (1.7.3+dfsg-1) unstable; urgency=medium

  * Fix lintian overrides
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 14:27:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-fontawesome,
                r-cran-crayon,
                r-cran-rlang (>= 0.4.10),
                r-cran-fastmap (>= 1.1.0),
@@ -40,9 +39,8 @@
                r-cran-sourcetools,
                r-cran-later,
                r-cran-promises,
-               closure-compiler,
                yui-compressor
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny

## r-cran-shiny 1.7.4.1+dfsg

=== debian/changelog ===
r-cran-shiny (1.7.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-fastmap (>= 1.1.0).

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 21:48:29 +0200

r-cran-shiny (1.7.4+dfsg-3) unstable; urgency=medium

  * Fix link for normalize.css
    Closes: #1035428

 -- Andreas Tille <tille@debian.org>  Mon, 15 May 2023 10:50:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-crayon,
-               r-cran-rlang (>= 0.4.10),
-               r-cran-fastmap (>= 1.1.0),
+               r-cran-rlang,
+               r-cran-fastmap,
                r-cran-withr,
                r-cran-commonmark,
-               r-cran-glue (>= 1.3.2),
+               r-cran-glue,
                r-cran-bslib,
                r-cran-cachem,
                r-cran-ellipsis,

## r-cran-shiny 1.7.5+dfsg

=== debian/changelog ===
r-cran-shiny (1.7.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Adapt debian/source/lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 15:12:08 +0200

## r-cran-shiny 1.8.0%2Bdfsg

=== debian/changelog ===
r-cran-shiny (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 21:05:12 +0100

r-cran-shiny (1.7.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 15:01:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,10 @@
 	mkdir -p $(debRlib)/$(cranName)/www/shared/font-awesome/css/
 	cp -a /usr/share/fonts-font-awesome/css/font-awesome.min.css $(debRlib)/$(cranName)/www/shared/font-awesome/css/
 	# datepicker is only non-minimized.  Do the minimisation here
-	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/js
-	closure-compiler  --charset 'utf-8' --js /usr/share/javascript/bootstrap/files/js/bootstrap-datepicker.js --js_output_file $(debRlib)/$(cranName)/www/shared/datepicker/js/bootstrap-datepicker.min.js
+	#mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/js
+	#closure-compiler  --charset 'utf-8' --js /usr/share/javascript/bootstrap/files/js/bootstrap-datepicker.js --js_output_file $(debRlib)/$(cranName)/www/shared/datepicker/js/bootstrap-datepicker.min.js
+	# As can be seen in bug #1031456 closure-compiler fails - simply symlinking uncompressed to be save
+	dh_link /usr/share/javascript/bootstrap/files/js/bootstrap-datepicker.js $(debRdir)/$(cranNameOrig)/www/shared/datepicker/js/bootstrap-datepicker.min.js
 	mkdir -p $(debRlib)/$(cranName)/www/shared/datepicker/css
 	yui-compressor /usr/share/javascript/bootstrap/files/css/datepicker3.css > $(debRlib)/$(cranName)/www/shared/datepicker/css/bootstrap-datepicker3.min.css
 	mkdir -p $(debRlib)/$(cranName)/www/shared/bootstrap/shim

## r-cran-shiny 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Package: shiny
 Type: Package
 Title: Web Application Framework for R
-Version: 1.7.4
+Version: 1.8.0
 Authors@R: c(
-    person("Winston", "Chang", role = c("aut", "cre"), email = "winston@rstudio.com", comment = c(ORCID = "0000-0002-1576-2126")),
-    person("Joe", "Cheng", role = "aut", email = "joe@rstudio.com"),
-    person("JJ", "Allaire", role = "aut", email = "jj@rstudio.com"),
-    person("Carson", "Sievert", role = "aut", email = "carson@rstudio.com", comment = c(ORCID = "0000-0002-4958-2844")),
-    person("Barret", "Schloerke", role = "aut", email = "barret@rstudio.com", comment = c(ORCID = "0000-0001-9986-114X")),
-    person("Yihui", "Xie", role = "aut", email = "yihui@rstudio.com"),
-    person("Jeff", "Allen", role = "aut", email = "jeff@rstudio.com"),
-    person("Jonathan", "McPherson", role = "aut", email = "jonathan@rstudio.com"),
+    person("Winston", "Chang", role = c("aut", "cre"), email = "winston@posit.co", comment = c(ORCID = "0000-0002-1576-2126")),
+    person("Joe", "Cheng", role = "aut", email = "joe@posit.co"),
+    person("JJ", "Allaire", role = "aut", email = "jj@posit.co"),
+    person("Carson", "Sievert", role = "aut", email = "carson@posit.co", comment = c(ORCID = "0000-0002-4958-2844")),
+    person("Barret", "Schloerke", role = "aut", email = "barret@posit.co", comment = c(ORCID = "0000-0001-9986-114X")),
+    person("Yihui", "Xie", role = "aut", email = "yihui@posit.co"),
+    person("Jeff", "Allen", role = "aut"),
+    person("Jonathan", "McPherson", role = "aut", email = "jonathan@posit.co"),
     person("Alan", "Dipert", role = "aut"),
     person("Barbara", "Borges", role = "aut"),
-    person(family = "RStudio", role = "cph"),
+    person("Posit Software, PBC", role = c("cph", "fnd")),
     person(family = "jQuery Foundation", role = "cph",
     comment = "jQuery library and jQuery UI library"),
     person(family = "jQuery contributors", role = c("ctb", "cph"),
@@ -73,12 +73,12 @@
         (>= 0.9.16), xtable, fontawesome (>= 0.4.0), htmltools (>=
         0.5.4), R6 (>= 2.0), sourcetools, later (>= 1.0.0), promises
         (>= 1.1.0), tools, crayon, rlang (>= 0.4.10), fastmap (>=
-        1.1.0), withr, commonmark (>= 1.7), glue (>= 1.3.2), bslib (>=
+        1.1.1), withr, commonmark (>= 1.7), glue (>= 1.3.2), bslib (>=
         0.3.0), cachem, ellipsis, lifecycle (>= 0.2.0)
 Suggests: datasets, Cairo (>= 1.5-5), testthat (>= 3.0.0), knitr (>=
         1.6), markdown, rmarkdown, ggplot2, reactlog (>= 1.0.0),
         magrittr, yaml, future, dygraphs, ragg, showtext, sass
-URL: https://shiny.rstudio.com/
+URL: https://shiny.posit.co/, https://github.com/rstudio/shiny
 BugReports: https://github.com/rstudio/shiny/issues
 Collate: 'globals.R' 'app-state.R' 'app_template.R' 'bind-cache.R'
         'bind-event.R' 'bookmark-state-local.R' 'bookmark-state.R'
@@ -106,13 +106,13 @@
         'version_ion_range_slider.R' 'version_jquery.R'
         'version_jqueryui.R' 'version_selectize.R' 'version_strftime.R'
         'viewer.R'
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 RdMacros: lifecycle
 Config/testthat/edition: 3
 Config/Needs/check: shinytest2
 NeedsCompilation: no
-Packaged: 2022-12-13 20:45:56 UTC; winston
+Packaged: 2023-11-17 16:44:52 UTC; cpsievert
 Author: Winston Chang [aut, cre] (<https://orcid.org/0000-0002-1576-2126>),
   Joe Cheng [aut],
   JJ Allaire [aut],
@@ -123,7 +123,7 @@
   Jonathan McPherson [aut],
   Alan Dipert [aut],
   Barbara Borges [aut],
-  RStudio [cph],
+  Posit Software, PBC [cph, fnd],
   jQuery Foundation [cph] (jQuery library and jQuery UI library),
   jQuery contributors [ctb, cph] (jQuery library; authors listed in
     inst/www/shared/jquery-AUTHORS.txt),
@@ -150,6 +150,6 @@
   John Gruber [ctb, cph] (showdown.js library),
   Ivan Sagalaev [ctb, cph] (highlight.js library),
   R Core Team [ctb, cph] (tar implementation from R)
-Maintainer: Winston Chang <winston@rstudio.com>
+Maintainer: Winston Chang <winston@posit.co>
 Repository: CRAN
-Date/Publication: 2022-12-15 13:10:02 UTC
+Date/Publication: 2023-11-17 23:40:02 UTC

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-crayon,
                r-cran-rlang,
-               r-cran-fastmap,
+               r-cran-fastmap (>= 1.1.1),
                r-cran-withr,
                r-cran-commonmark,
                r-cran-glue,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cairo (>= 1.5-5),
        r-cran-testthat (>= 3.0.0),
        r-cran-knitr (>= 1.6),
        r-cran-markdown,
        r-cran-rmarkdown,
        r-cran-ggplot2,
        r-cran-magrittr,
        r-cran-yaml,
        r-cran-future,
        r-cran-dygraphs,
        r-cran-ragg,
        r-cran-sass
Restrictions: allow-stderr

## r-cran-shiny 1.8.1.1+dfsg

=== debian/changelog ===
r-cran-shiny (1.8.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 12 May 2024 02:49:33 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                r-cran-glue,
                r-cran-bslib,
                r-cran-cachem,
-               r-cran-ellipsis,
                r-cran-lifecycle,
                libjs-bootstrap,
                libjs-json,
@@ -40,7 +39,7 @@
                r-cran-later,
                r-cran-promises,
                yui-compressor
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-shiny
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-shiny.git
 Homepage: https://cran.r-project.org/package=shiny

## r-cran-shiny 1.9.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: shiny
 Type: Package
 Title: Web Application Framework for R
-Version: 1.8.0
+Version: 1.9.1
 Authors@R: c(
     person("Winston", "Chang", role = c("aut", "cre"), email = "winston@posit.co", comment = c(ORCID = "0000-0002-1576-2126")),
     person("Joe", "Cheng", role = "aut", email = "joe@posit.co"),
@@ -74,30 +74,31 @@
         0.5.4), R6 (>= 2.0), sourcetools, later (>= 1.0.0), promises
         (>= 1.1.0), tools, crayon, rlang (>= 0.4.10), fastmap (>=
         1.1.1), withr, commonmark (>= 1.7), glue (>= 1.3.2), bslib (>=
-        0.3.0), cachem, ellipsis, lifecycle (>= 0.2.0)
-Suggests: datasets, Cairo (>= 1.5-5), testthat (>= 3.0.0), knitr (>=
-        1.6), markdown, rmarkdown, ggplot2, reactlog (>= 1.0.0),
+        0.6.0), cachem (>= 1.1.0), lifecycle (>= 0.2.0)
+Suggests: datasets, DT, Cairo (>= 1.5-5), testthat (>= 3.0.0), knitr
+        (>= 1.6), markdown, rmarkdown, ggplot2, reactlog (>= 1.0.0),
         magrittr, yaml, future, dygraphs, ragg, showtext, sass
 URL: https://shiny.posit.co/, https://github.com/rstudio/shiny
 BugReports: https://github.com/rstudio/shiny/issues
 Collate: 'globals.R' 'app-state.R' 'app_template.R' 'bind-cache.R'
         'bind-event.R' 'bookmark-state-local.R' 'bookmark-state.R'
         'bootstrap-deprecated.R' 'bootstrap-layout.R' 'conditions.R'
-        'map.R' 'utils.R' 'bootstrap.R' 'cache-utils.R' 'deprecated.R'
-        'devmode.R' 'diagnose.R' 'fileupload.R' 'graph.R' 'reactives.R'
-        'reactive-domains.R' 'history.R' 'hooks.R' 'html-deps.R'
-        'image-interact-opts.R' 'image-interact.R' 'imageutils.R'
-        'input-action.R' 'input-checkbox.R' 'input-checkboxgroup.R'
-        'input-date.R' 'input-daterange.R' 'input-file.R'
-        'input-numeric.R' 'input-password.R' 'input-radiobuttons.R'
-        'input-select.R' 'input-slider.R' 'input-submit.R'
-        'input-text.R' 'input-textarea.R' 'input-utils.R'
-        'insert-tab.R' 'insert-ui.R' 'jqueryui.R' 'knitr.R'
-        'middleware-shiny.R' 'middleware.R' 'timer.R' 'shiny.R'
-        'mock-session.R' 'modal.R' 'modules.R' 'notifications.R'
-        'priorityqueue.R' 'progress.R' 'react.R' 'reexports.R'
-        'render-cached-plot.R' 'render-plot.R' 'render-table.R'
-        'run-url.R' 'runapp.R' 'serializers.R'
+        'map.R' 'utils.R' 'bootstrap.R' 'busy-indicators-spinners.R'
+        'busy-indicators.R' 'cache-utils.R' 'deprecated.R' 'devmode.R'
+        'diagnose.R' 'extended-task.R' 'fileupload.R' 'graph.R'
+        'reactives.R' 'reactive-domains.R' 'history.R' 'hooks.R'
+        'html-deps.R' 'image-interact-opts.R' 'image-interact.R'
+        'imageutils.R' 'input-action.R' 'input-checkbox.R'
+        'input-checkboxgroup.R' 'input-date.R' 'input-daterange.R'
+        'input-file.R' 'input-numeric.R' 'input-password.R'
+        'input-radiobuttons.R' 'input-select.R' 'input-slider.R'
+        'input-submit.R' 'input-text.R' 'input-textarea.R'
+        'input-utils.R' 'insert-tab.R' 'insert-ui.R' 'jqueryui.R'
+        'knitr.R' 'middleware-shiny.R' 'middleware.R' 'timer.R'
+        'shiny.R' 'mock-session.R' 'modal.R' 'modules.R'
+        'notifications.R' 'priorityqueue.R' 'progress.R' 'react.R'
+        'reexports.R' 'render-cached-plot.R' 'render-plot.R'
+        'render-table.R' 'run-url.R' 'runapp.R' 'serializers.R'
         'server-input-handlers.R' 'server-resource-paths.R' 'server.R'
         'shiny-options.R' 'shiny-package.R' 'shinyapp.R' 'shinyui.R'
         'shinywrappers.R' 'showcase.R' 'snapshot.R' 'staticimports.R'
@@ -106,13 +107,13 @@
         'version_ion_range_slider.R' 'version_jquery.R'
         'version_jqueryui.R' 'version_selectize.R' 'version_strftime.R'
         'viewer.R'
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 RdMacros: lifecycle
 Config/testthat/edition: 3
 Config/Needs/check: shinytest2
 NeedsCompilation: no
-Packaged: 2023-11-17 16:44:52 UTC; cpsievert
+Packaged: 2024-07-31 17:44:44 UTC; cpsievert
 Author: Winston Chang [aut, cre] (<https://orcid.org/0000-0002-1576-2126>),
   Joe Cheng [aut],
   JJ Allaire [aut],
@@ -152,4 +153,4 @@
   R Core Team [ctb, cph] (tar implementation from R)
 Maintainer: Winston Chang <winston@posit.co>
 Repository: CRAN
-Date/Publication: 2023-11-17 23:40:02 UTC
+Date/Publication: 2024-08-01 10:50:02 UTC

=== debian/changelog ===
r-cran-shiny (1.9.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 11 Oct 2024 08:41:01 +0900

## r-cran-shiny 1.10.0%2Bdfsg

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-unit-test
 Depends: @,
-         r-cran-cairo (>= 1.5-5),
+         r-cran-dt,
+        r-cran-cairo (>= 1.5-5),
         r-cran-testthat (>= 3.0.0),
         r-cran-knitr (>= 1.6),
         r-cran-markdown,

## r-cran-shiny 1.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: shiny
 Type: Package
 Title: Web Application Framework for R
-Version: 1.9.1
+Version: 1.10.0
 Authors@R: c(
     person("Winston", "Chang", role = c("aut", "cre"), email = "winston@posit.co", comment = c(ORCID = "0000-0002-1576-2126")),
     person("Joe", "Cheng", role = "aut", email = "joe@posit.co"),
@@ -72,12 +72,13 @@
 Imports: utils, grDevices, httpuv (>= 1.5.2), mime (>= 0.3), jsonlite
         (>= 0.9.16), xtable, fontawesome (>= 0.4.0), htmltools (>=
         0.5.4), R6 (>= 2.0), sourcetools, later (>= 1.0.0), promises
-        (>= 1.1.0), tools, crayon, rlang (>= 0.4.10), fastmap (>=
+        (>= 1.3.2), tools, crayon, rlang (>= 0.4.10), fastmap (>=
         1.1.1), withr, commonmark (>= 1.7), glue (>= 1.3.2), bslib (>=
         0.6.0), cachem (>= 1.1.0), lifecycle (>= 0.2.0)
-Suggests: datasets, DT, Cairo (>= 1.5-5), testthat (>= 3.0.0), knitr
-        (>= 1.6), markdown, rmarkdown, ggplot2, reactlog (>= 1.0.0),
-        magrittr, yaml, future, dygraphs, ragg, showtext, sass
+Suggests: coro (>= 1.1.0), datasets, DT, Cairo (>= 1.5-5), testthat (>=
+        3.0.0), knitr (>= 1.6), markdown, rmarkdown, ggplot2, reactlog
+        (>= 1.0.0), magrittr, yaml, future, dygraphs, ragg, showtext,
+        sass
 URL: https://shiny.posit.co/, https://github.com/rstudio/shiny
 BugReports: https://github.com/rstudio/shiny/issues
 Collate: 'globals.R' 'app-state.R' 'app_template.R' 'bind-cache.R'
@@ -113,7 +114,7 @@
 Config/testthat/edition: 3
 Config/Needs/check: shinytest2
 NeedsCompilation: no
-Packaged: 2024-07-31 17:44:44 UTC; cpsievert
+Packaged: 2024-12-13 21:47:15 UTC; cpsievert
 Author: Winston Chang [aut, cre] (<https://orcid.org/0000-0002-1576-2126>),
   Joe Cheng [aut],
   JJ Allaire [aut],
@@ -153,4 +154,4 @@
   R Core Team [ctb, cph] (tar implementation from R)
 Maintainer: Winston Chang <winston@posit.co>
 Repository: CRAN
-Date/Publication: 2024-08-01 10:50:02 UTC
+Date/Publication: 2024-12-14 00:10:02 UTC

=== inst/examples-shiny/02_text/DESCRIPTION ===
Title: Shiny Text
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
Tags: getting-started
Type: Shiny

=== inst/examples-shiny/08_html/DESCRIPTION ===
Title: Custom HTML UI
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
Tags: getting-started
Type: Shiny

=== inst/examples/02_text/DESCRIPTION ===
Title: Shiny Text
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
DisplayMode: Showcase
Tags: getting-started
Type: Shiny

=== inst/examples/04_mpg/DESCRIPTION ===
Title: Miles Per Gallon
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
DisplayMode: Showcase
Tags: getting-started
Type: Shiny

=== inst/examples/06_tabsets/DESCRIPTION ===
Title: Tabsets
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
DisplayMode: Showcase
Tags: getting-started
Type: Shiny

=== inst/examples/07_widgets/DESCRIPTION ===
Title: Widgets
Author: RStudio, Inc.
AuthorUrl: http://www.rstudio.com/
License: MIT
DisplayMode: Showcase
Tags: getting-started
Type: Shiny

=== debian/changelog ===
r-cran-shiny (1.10.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Added patch to skip a test that needs an unavailable R package
    ("coro").

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 12 Feb 2025 11:53:24 +0100

r-cran-shiny (1.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Jan 2025 10:32:22 +0900

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                r-cran-withr,
                r-cran-commonmark,
                r-cran-glue,
-               r-cran-bslib,
-               r-cran-cachem,
+               r-cran-bslib (>= 0.6.0),
+               r-cran-cachem (>= 1.1.0),
                r-cran-lifecycle,
                libjs-bootstrap,
                libjs-json,
